#include <stdlib.h>
#include <stdio.h>

int main(void) {
  int prime, n, k;

  printf("Number to check? ");
  scanf("%d",&n);

  // assume n is prime until proven composite!
  prime = 1; // we're using 1 for `true'
  if ( n <= 1 ) { prime = 0; }  // catch 0 and 1
  k = 2;                   // First divisor attempted is 2
  // finish at sqrt(n)
  while ( (k*k <= n) && prime ) {
    if ((n % k) == 0) {
      printf("%d is %d * %d\n", n, n/k, k);
      prime = 0;                //  terminate the loop
    }
    k++;                        // Test each value
  }
  if (prime) { 
    printf("%d is a prime number\n", n);
  }
  return EXIT_SUCCESS;
}
